TULISAN - Feature #3589

Jurnal Purchase (dan ketentuannya)
05/02/2025 05:51 PM - haykal haykal

Status: QA Test Start date: 05/02/2025
Priority: High Due date: 05/07/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Untk mappingan jurnal Purchase sudah saya mapping di PFILOINTEGRATE. Namun ada ketentuan pembacaan.

Jadi kalau Tulisan beli barang itu pencatatan di akun Debit nya bisa either pake GLAccount 1-10301 Persediaan Bahan Baku atau
1-10303 Persediaan Barang Dagang. Untuk membedakannya, telah saya tambahkan kolom MaterialType di tabel
PFILOINTEGRATE. Dan sudah saya mapping juga.

Jadi tolong GLAccount di jurnalnya terbentuk berdasarkan Nama Barang yg dipilih di document Purchase nya.

Terimakasih.

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

History

#1 - 05/03/2025 07:20 AM - Kezia Pawitra Yulianti
- Due date set to 05/07/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 05/05/2025 03:24 PM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to haykal haykal

kalau melihat settingan di PFILOINTEGRATE, jurnal dibuat per item purchase?
Sebaiknya dibuatkan field2 total yg dibutuhkan finance di table header, seperti document sales.

#3 - 05/05/2025 06:07 PM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqiaty

lya Mbak, per item. Soalnya 'kan per item bisa beda, misalnya yg satu menghasilkan GLAccount Persediaan Bahan Baku, yg satu lagi menghasilkan
GLAccount Persediaan Barang Dagang

#4 - 05/06/2025 09:50 AM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to haykal haykal

Ok, kalau begitu tolong buatin contoh jurnalnya, kalau di 1 doc purchase ada 3 material dengan tipe berbeda.
Apakah jadi 1 docno dengan item-item yg berbeda?
Atau 1 docno dengan 1 item saja?

#5 - 05/07/2025 02:30 PM - haykal haykal
- File Contoh Jurnal Purchase.xlsx added

- Assignee changed from haykal haykal to Tri Rizqgiaty

Dear Mbak Yomma,

Berikut ya Mbak contoh dokumen dan jurnal purchasenya. (file aku attach)
Contoh dokumen PO yang udh kubuat: 00000265
Terimakasih.

#6 - 05/09/2025 09:02 AM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to haykal haykal

Haykal, notes dr case yg sales, apakah ini sdh yg paling bnr? tdk ada skenario lain seperti diskon, beban admin, shipping?
Coba dipastiin dulu, biar ga bolak balik revise.

#7 - 05/15/2025 10:46 AM - haykal haykal

- File Contoh Jurnal Purchase Updated.xlsx added

- Assignee changed from haykal haykal to Tri Rizqiaty
Nggak Mbak, gakada diskon, beban admin, dan shipping.

Tapi ada satu tambahan baru. 'Kan kalo saya mention diatas itu ada pembeda GLAccountnya Persediaan Bahan Baku or Persediaan Barang
Dagang berdasarkan MaterialType.

Ternyata ada yang dibedakan lagi. Untk yg MaterialType 03 dan 04 'kan tadinya masuknya ke GLAccount 1-10303 Persediaan Barang Dagang.
Namun ternyata ada klasifikasinya lagi. Dibedakan berdasarkan ProductGroup juga (PCMFILOPRDGROUP). Jadi misalkan barang yg di Purchase
itu adalah Product Group Accessories maka GLAccount yg akan terbentuk adalah Persediaan Barang Dagang - Accessories.

Tolong dibuat seperti itu ya Mbak.

Untuk mappingannya sudah aku tambahkan di PFILOINTEGRATE.

Dan untk yg GLAccount 1-1030307 Persediaan Barang Dagang - Lainnya itu terbentuknya kalau apabila barang yg MaterialType 03 dan 04 di
dokumen Purchase ProductGroupnya selain yang telah dimapping di PFILOINTEGRATE

Untk contoh possibility jurnalnya aku attach di file.

Terimakasih.

#8 - 05/21/2025 01:27 PM - haykal haykal

- File Jurnal Purchase with Utang Pajak - PPh 23 dan 26.xIsx added
Dear Mbak Yoms, ada satu ketentuan baru lagi ya.

Jadi ada yg namanya GLAccount 2-10202 Utang Pajak - PPh 23 dan/26 , GLAccount itu muncul apabila di transaksi Purchase nya terdapat
pembelian jasa.

Untuk mengakomodir itu di aplikasi, telah ditambahkan field Type (di Ul) (field ltemType di db) pada dokumen Purchase Order (PTRPURCHITEM).
Jadi apabila user memilih Others pada field Type tersebut, maka GLAccount yg tergenerate adalah GLAccount 2-10202 Utang Pajak - PPh 23 dan/26

Untk contoh jurnalnya kurang lebih seperti di file yang aku attach ya.
Terimakasih.

#9 - 05/26/2025 03:03 PM - Tri Rizqiaty
- File MinovalS.MinovaES.Business.Logistic.dll added

- Status changed from Assigned to Developing
Fixing :
Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll

#10 - 05/26/2025 03:05 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Notes : untuk yg jurnal pph23 & 26 bim didevelop. & tolong ditambahin aja di tbl FILOINTEGRATE, dengan field baru ltemType, jangan di hardcode.

#11 - 05/26/2025 04:36 PM - haykal haykal
- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to Tri Rizqiaty
Dear Mbak Yomma,

Sudah aku tambahkan ya di PFILOINTEGRATE.
Terimakasih.

#12 - 06/04/2025 04:20 PM - Tri Rizqgiaty

- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal
Fixing :

Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll
#13 - 06/10/2025 10:37 AM - haykal haykal

- File PO 00000276.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma, aku tadi bikin document PO (Purchase Order) 00000276 dengan Document Status Approved tapi kok gak kegenerate ya
document Accountingnya di menu AP Posting?

Tolong bantu dicek ya Mbak.

Terimakasih.

#14 - 06/12/2025 11:04 AM - Tri Rizqiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal
Fixing :

Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll
#15 - 06/13/2025 11:40 AM - haykal haykal

- File PO 00000291.png added

- File AP 00000760.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty
Dear Mbak Yoms,

Tadi 'kan aku coba bikin dokumen PO 00000291 dan disitu ada 1 barang bertipe Raw Material, dan 1 barang bertipe SemiFinish Goods (Foto 1).
Seharusnya di dokumen Accountingnya tergenerate 1 row saja dengan GLAccount 1-10301 Persediaan Bahan Baku.

Tapi pas aku cek di dokumen Accountingnya (AP 00000760) itu malah tergenerate 2 row untk GLAccount 1-10301 Persediaan Bahan Baku (Foto 2).
Harusnya 1 row saja, dengan amount yg meng-sum (seperti di file Contoh Jurnal Purchase yg pernah aku attach).

Tolong diperbaiki ya.

Terimakasih.

#16 - 06/16/2025 02:33 PM - Tri Rizqiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal
Fixing :

Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll
#17 - 06/16/2025 03:37 PM - haykal haykal

- File Jurnal Purchase with Pembelian Jasa.xIsx added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Untk yg row Persediaan Bahan Baku double sudah ok Mbak. Sudah tergenerate satu row saja sekarang.

Namun ada revisi untk yg pembelian jasa (akun Utang Pajak - PPh 23 dan/26).

Jadi ‘kan untk pembelian jasa itu tadinya dibedakan berdasarkan ltemType (kalau Others berarti jasa). Jadinya tidak seperti itu. Jadinya di
PTRPURCHITEM telah ditambahkan field Biaya Jasa, dan user akan mengisikan biaya jasa untk item tersebut disitu.

Untk nilai dari Utang Pajak — PPh 23 dan/26 nya minta tolong dibuatkan formula. Jadi di PTRPURCHITEM sudah aku tambahkan field TaxPPh23.
Tolong dibuatkan formula untk field tersebut yaitu 2% x BiayaJasa

Untk di PTRPURCHHEAD juga sudah ditambahkan field TotTaxPPh23, yang mana ini adalah total penjumlahan dari field TaxPPh23 yg ada di item
(Tolong dibuat seperti itu). Jadi nanti nilai yg ada di GLAccount 2-10202 Utang Pajak — PPh 23 dan/26 itu mengambilnya dari field TotTaxPPh23 ini
(Sudah saya mapping di PFILOINTEGRATE).

Note: Trigger untk menggenerate GLAccount 2-10202 Utang Pajak — PPh 23 dan/26 ini adalah apabila field BiayaJasa terisi.

Untk contoh transaksi Purchase yg terdapat pembelian jasa beserta jurnalnya saya lampirkan di file. Tolong agar jurnalnya terbentuk seperti itu ya
Mbak.

Terimakasih.

#18 - 06/25/2025 10:50 AM - Tri Rizqiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Fixing :

Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll

Notes :

- Kondisi saat ini AP sdh tergenerate, tp tdk balance, sepertinya ada settingan di FILOINTEGRATE yg kurang/salah, tlg dicek Ig.

- Di FILOINTEGRATE, TaxPPh23 tdk perlu ambil dr tbl header, cukup dr item saja.
- TaxPPh23 dihitung taxinclude.

#19 - 06/25/2025 03:09 PM - haykal haykal

- File PPh 23 26 seharusnya 380.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqgiaty
Dear Mbak Yomma,

Ini kok aku test PPh 23/26 nya 373 ya? (foto diattach)
Padahal 'kan harusnya 380. (19000 x 2% = 380)
Tolong bantu dicek dan diperbaiki ya.

Contoh PO: 00000299

Terimakasih.

#20 - 06/26/2025 02:53 PM - Tri Rizgiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal
Fixing :

Update SDATATABLEFIELD - PTRPURCHITEM - Biayadasa - SelectFunction

Notes : Berarti TaxType untuk BiayaJasa adalah Exclude
#21 - 06/26/2025 04:46 PM - haykal haykal

- File Kotak merah harusnya 19380 , Kotak biru harusnya 259000.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma, untk nilai Tax PPh 23/26 sudah benar.

Namun jurnalnya bim balance. Dan aku sudah cek di PFILOINTEGRATE tampaknya tidak bisa dibenerin dari settingan (kecuali ada penambahan
Figure baru)

Jadi yg membuat tidak balance itu adalah nilai di GLAccount 2-101 Utang Usaha dan GLAccount 5-409 Beban Cetakan
Kalau yg GLAccount 2-101 Utang Usaha disitu nilainya 240.000 (kotak biru di foto). Padahal harusnya 259.000
Dan yg GLAccount 5-409 Beban Cetakan disitu nilainya 19.000 (kotak merah di foto). Padahal harusnya 19.380

Jadi khusus untk case Purchase yg ada Pembelian Jasanya (yg triggernya adalah apabila user mengisi BiayaJasa), di jurnalnya tolong dibikin kondisi
sebagai berikut:

-Nilai di GLAccount 2-101 Utang Usaha dibikin otomatis ditambah dengan nilai di Figure BiayaJasa
-Nilai di GLAccount 5-409 Beban Cetakan dibikin otomatis ditambah dengan nilai di Figure TaxPPh23

Ini mirip seperti yang Mbak Yomma pernah bikin di redmine Beban Administrasi Bank (#3549) yg mana disitu dibikin kondisi nilai GLAccount Piutang
Usaha diadjust dulu dengan nilai BebanAdministrasiBank nya.

Kalau misalnya perlu ada penambahan field baru atau settingan boleh diinfoin aja ya Mbak.
Document AP: 00000776

Terimakasih.

#22 - 06/30/2025 05:13 PM - Tri Rizqiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Fixing :

Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll

Notes : rumus perhitungan untuk case ini, dihardcode di dll

Files

Contoh Jurnal Purchase.xlsx 10.3 KB 05/07/2025 haykal haykal
Contoh Jurnal Purchase Updated.xIsx 9.82 KB 05/15/2025 haykal haykal
Jurnal Purchase with Utang Pajak - PPh 23 dan 26.xIsx 9.91 KB 05/21/2025 haykal haykal
MinovalS.MinovaES.Business.Logistic.dll 93.5 KB 05/26/2025 Tri Rizgiaty
PO 00000276.png 18.2 KB 06/10/2025 haykal haykal
PO 00000291.png 25.8 KB 06/13/2025 haykal haykal
AP 00000760.png 21 KB 06/13/2025 haykal haykal
Jurnal Purchase with Pembelian Jasa.xIsx 10.5 KB 06/16/2025 haykal haykal
PPh 23 26 seharusnya 380.png 2.22 KB 06/25/2025 haykal haykal
Kotak merah harusnya 19380 , Kotak biru harusnya 259000.png 17.4 KB 06/26/2025 haykal haykal
